function adc = mv2adc( mv, range, max_value )
%mv2adc( mv, range, max_value ) - Converts milliVolt value to ADC count
%   mv - the value in milliVolts
%   range - the voltage range in milliVolts
%   max_value - the ADC max value for the device

    adc = int32((int32(mv) * double(max_value)) / range);
    
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Filename:    mv2adc.m
%
% Copyright:   Pico Technology Limited 2012
%
% Author:      HSM
%
% Description:
%   
%		This is a MATLAB script that converts milliVolt values to ADC counts.
%
%       Ensure that the location of this file is in your MATLAB Path.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

